# 32/64 bit spec
#
Summary:	Timer plugin for the Xfce panel
Summary(de):	Zeitmessererweiterung für das Xfce-Panel
Name:		xfce4-timer-plugin
Version:	1.7.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-timer-plugin
Source0:	http://goodies.xfce.org/releases/xfce4-timer-plugin/%{name}-%{version}.tar.xz

BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	perl(XML::Parser)
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)

Provides:	%{name} = %{version}
Obsoletes:	%{name} < %{version}
Requires:	xfce4-panel >= 4.13

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%define __libtoolize    /bin/true

%description
Timer panel plugin for the Xfce Desktop Environment.

%description -l de
Zeitmessererweiterung für die Xfce Desktop-Umgebung

%prep
%setup -q -n %{name}-%{version}
sed -i s/"git])"/"])"/g configure.ac

%build

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf  %{buildroot}%{_prefix}/doc

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
#find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/locale/*
%{_iconsdir}/hicolor/*/apps/%{name}.*

%changelog
* Wed Apr 19 2023 tex - 1.7.2-1pclos2023
- new version

* Sun Sep 04 2022 tex - 1.7.1-2pclos2022
- rebuild against updates

* Fri Jul 24 2020 tex - 1.7.1-1pclos2020
- new version

* Wed Aug 14 2019 onkelho <oh.quait at gmail.com> - 1.7.0-6pclos2019
- new rebuild xfce-4.14

* Mon Jul 29 2019 onkelho <oh.quait at gmail.com> - 1.7.0-5pclos2019
- new ver-rel 4.14pre3

* Tue May 21 2019 onkelho <oh.quait at gmail.com> 1.7.0-4pclos2019
- rebuild for -pre-rel 4.14.pre1

* Mon Jan 28 2019 onkelho <oh.quait at gmail.com> 1.7.0-3pclos2019
- rebuild

* Thu Nov 01 2018 onkelho <oh.quait at gmail.com> 1.7.0-2pclos2018
- rebuild - I18n: Update translation ca es pt (100%)
- Remove unused variables and function
- Resolve GCC warning: ISO C90 forbids mixed declarations and code
- Preferences: Improved spacing and layout in editor (Bug #14678)
- I18n: Update translation it fi (100%)

* Fri Jul 27 2018 onkelho <oh.quait at gmail.com> 1.7.0-1pclos2018
- rebuild
- 18n: Update translation pt (100%)
- Remove unused variables and function
- Resolve GCC warning: ISO C90 forbids mixed declarations and code
- Preferences: Improved spacing and layout in editor (Bug #14678)
- I18n: Update translation it (100%)

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.6.0-2pclos2015
- rebuild against new libxfce4util7

* Wed Jun 18 2014 ghostbunny <ghostbunny at gmx dot de> 1.6.0-1pclos2014
- 1.6.0
- drop BR libxfcegui4-devel and add libxfce4util-devel

* Sat May 11 2013 ghostbunny <ghostbunny at gmx dot de> 1.5.0-1pclos2013
- 1.5.0

* Sat May 04 2013 ghostbunny <ghostbunny at gmx dot de> 1.0.2-1pclos2013
- 1.0.2

* Mon Oct 15 2012 ghostbunny <ghostbunny at gmx dot de> 1.0.0-4pclos2012
- 1.0.0
- added BuildRequires:	gettext-devel

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.6.4-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.6.4-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 0.6.4-1pclos2012
- 0.6.4
- added german summary and description

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.6.2-1pclos2012
- update

* Thu Oct 08 2009 Neal <nealbrks0@gmail.com> 
- gcc update

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com> 
- create
